Temporary Virtual Account
curl --request POST \
--url https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"bvn": "12345678901",
"reference": "ref_temp_123",
"email": "john.doe@example.com",
"expiresInMinutes": 1440
}
'import requests
url = "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary"
payload = {
"firstName": "John",
"lastName": "Doe",
"bvn": "12345678901",
"reference": "ref_temp_123",
"email": "john.doe@example.com",
"expiresInMinutes": 1440
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
bvn: '12345678901',
reference: 'ref_temp_123',
email: 'john.doe@example.com',
expiresInMinutes: 1440
})
};
fetch('https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'John',
'lastName' => 'Doe',
'bvn' => '12345678901',
'reference' => 'ref_temp_123',
'email' => 'john.doe@example.com',
'expiresInMinutes' => 1440
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Virtual account created successfully",
"data": {
"accountNumber": "9876543210",
"accountName": "John Doe",
"bankName": "Rivo Bank",
"reference": "ref_temp_123",
"type": "temporary",
"status": "active",
"expiresAt": "2026-07-11T12:00:00.000Z"
}
}{
"status": "error",
"message": "Virtual account rejected: Customer verification failed (sandbox)",
"data": {
"accountNumber": null,
"accountName": null,
"bankName": null,
"reference": "ref_reject_001",
"type": "temporary",
"status": "rejected",
"reason": "Customer verification failed (sandbox)"
}
}Virtual Account
Temporary Virtual Account
Create a temporary NGN virtual account that expires after expiresInMinutes (24 hours by default). On success Rivo sends a virtual-account.created webhook; if the request is rejected it sends virtual-account.rejected. On staging, accounts are created instantly with dummy details, and a reference containing reject simulates a rejection.
POST
/
virtual-accounts
/
ngn
/
temporary
Temporary Virtual Account
curl --request POST \
--url https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"bvn": "12345678901",
"reference": "ref_temp_123",
"email": "john.doe@example.com",
"expiresInMinutes": 1440
}
'import requests
url = "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary"
payload = {
"firstName": "John",
"lastName": "Doe",
"bvn": "12345678901",
"reference": "ref_temp_123",
"email": "john.doe@example.com",
"expiresInMinutes": 1440
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
bvn: '12345678901',
reference: 'ref_temp_123',
email: 'john.doe@example.com',
expiresInMinutes: 1440
})
};
fetch('https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => 'John',
'lastName' => 'Doe',
'bvn' => '12345678901',
'reference' => 'ref_temp_123',
'email' => 'john.doe@example.com',
'expiresInMinutes' => 1440
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary"
payload := strings.NewReader("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://business-api.userivo.co/business/v1/virtual-accounts/ngn/temporary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"bvn\": \"12345678901\",\n \"reference\": \"ref_temp_123\",\n \"email\": \"john.doe@example.com\",\n \"expiresInMinutes\": 1440\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Virtual account created successfully",
"data": {
"accountNumber": "9876543210",
"accountName": "John Doe",
"bankName": "Rivo Bank",
"reference": "ref_temp_123",
"type": "temporary",
"status": "active",
"expiresAt": "2026-07-11T12:00:00.000Z"
}
}{
"status": "error",
"message": "Virtual account rejected: Customer verification failed (sandbox)",
"data": {
"accountNumber": null,
"accountName": null,
"bankName": null,
"reference": "ref_reject_001",
"type": "temporary",
"status": "rejected",
"reason": "Customer verification failed (sandbox)"
}
}Authorizations
Your Business API Key
Body
application/json
Example:
"John"
Example:
"Doe"
Example:
"12345678901"
Example:
"ref_temp_123"
Customer email. Defaults to the business owner's email.
Example:
"john.doe@example.com"
Required range:
15 <= x <= 10080Example:
1440
Response
Temporary virtual account created successfully.
